// Copyright Earl Warren <contact@earl-warren.org>
// Copyright Loïc Dachary <loic@dachary.org>
// SPDX-License-Identifier: MIT

package f3

type PullRequestBranch struct {
	Ref        string     `json:"ref"`
	SHA        string     `json:"sha"`
	Repository *Reference `json:"repository"`
}

func (o PullRequestBranch) Equal(other PullRequestBranch) bool {
	return o.Ref == other.Ref &&
		o.SHA == other.SHA
}

func (o *PullRequestBranch) GetReferences() References {
	return References{o.Repository}
}
